upstream backend {
  %{ for ip in promoted_servers ~}
  server ${ip};
  %{ endfor ~}
  %{ for ip in demoted_servers ~}
  server ${ip} backup;
  %{ endfor ~}
}

server {
  listen 80;

  location / {
    proxy_pass http://backend;
  }
}
